Debian Bug report logs - #553311
ITP: leocad -- virtual brick CAD software

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Carlo Stemberger <carlo.stemberger@gmail.com>

Date: Fri, 30 Oct 2009 04:48:05 UTC

Owned by: David Paleino <dapal@debian.org>

Severity: wishlist

Fixed in version leocad/0.79-1

Done: David Paleino <dapal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carlo.stemberger@gmail.com, <wnpp@debian.org>:
Bug#553311; Package wnpp. (Fri, 30 Oct 2009 04:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
New Bug report received and forwarded. Copy sent to carlo.stemberger@gmail.com, <wnpp@debian.org>. (Fri, 30 Oct 2009 04:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: leocad -- Virtual brick CAD software
Date: Fri, 30 Oct 2009 04:28:38 +0100
Package: wnpp
Severity: wishlist


* Package name    : leocad
  Version         : 0.7.5
  Upstream Author : Leonardo Zide <leo@gerf.org>
* URL             : http://www.leocad.org/
* License         : GPL
  Programming Lang: C++
  Description     : Virtual brick CAD software

LeoCAD is a CAD program that can be used to create virtual LEGO models.
It has an easy to use interface and currently features over 2000
different pieces created by the LDraw community.

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)




Owner recorded as David Paleino <dapal@debian.org>. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 23:51:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: leocad -- virtual brick CAD software' from 'RFP: leocad -- Virtual brick CAD software' Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 23:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Mon, 24 Jan 2011 09:30:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 24 Jan 2011 09:30:13 GMT) Full text and rfc822 format available.

Message #14 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: leo@gerf.org
Cc: 553311@bugs.debian.org
Subject: Issues with LeoCAD
Date: Mon, 24 Jan 2011 10:21:37 +0100
[Message part 1 (text/plain, inline)]
Hello,
I'm packaging LeoCAD for Debian, and I'm encountering a couple of issues.
First of all, it would be nice if you could provide a .tar.gz along with SVN
tags :) -- I can package tag snapshots, but it would be easier for me if you
released a tarball, I could keep the package up-to-date more easily.

Here are the issues:
 - first of all, the package fails to build. It seems like there are some
   incongruencies in the code:

In file included from linux/dlgpiece.cpp:24:0:
common/minifig.h:29:1: warning: ‘typedef’ was ignored in this declaration
linux/dlgpiece.cpp: In function ‘void minifigdlg_color_response(GtkWidget*, void*)’:
linux/dlgpiece.cpp:67:17: error: ‘class MinifigWizard’ has no member named ‘ChangeColor’
linux/dlgpiece.cpp: In function ‘void minifigdlg_piece_changed(GtkWidget*, void*)’:
linux/dlgpiece.cpp:115:3: error: ‘LC_MFW_PIECEINFO’ was not declared in this scope
linux/dlgpiece.cpp:115:21: error: ‘pieceinfo’ was not declared in this scope
linux/dlgpiece.cpp:122:23: error: ‘l’ was not declared in this scope
linux/dlgpiece.cpp:122:45: error: expected primary-expression before ‘)’ token
linux/dlgpiece.cpp:122:46: error: expected ‘;’ before ‘list’
linux/dlgpiece.cpp:132:17: error: ‘class MinifigWizard’ has no member named ‘ChangePiece’
linux/dlgpiece.cpp: In function ‘void minifigdlg_updateselection(LC_MINIFIGDLG_STRUCT*)’:
linux/dlgpiece.cpp:156:14: error: ‘class MinifigWizard’ has no member named ‘GetSelections’
linux/dlgpiece.cpp: In function ‘void adj_changed(GtkAdjustment*, void*)’:
linux/dlgpiece.cpp:236:17: error: ‘class MinifigWizard’ has no member named ‘ChangeAngle’
linux/dlgpiece.cpp: In function ‘int minifigdlg_execute(void*)’:
linux/dlgpiece.cpp:408:5: error: ‘LC_MFW_PIECEINFO’ was not declared in this scope
linux/dlgpiece.cpp:408:24: error: ‘list’ was not declared in this scope
linux/dlgpiece.cpp:409:15: error: ‘class MinifigWizard’ has no member named ‘GetItems’
make: *** [linux/dlgpiece.o] Error 1

    It seems like the linux code is not in sync with the "common" code.

 - secondly, I see that we need also the pieces library. However, this comes as
   a .zip with pre-compiled binaries. For inclusion in Debian, I need to have
   the sources for those, and make a package starting from sources. Are you
   able to provide that, or point me in the right direction?

Please keep the bug CCed in your replies.

Thank you,
David



-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Mon, 24 Jan 2011 09:30:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 24 Jan 2011 09:30:37 GMT) Full text and rfc822 format available.

Message #19 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: leozide@gmail.com
Cc: 553311@bugs.debian.org
Subject: Issues with LeoCAD
Date: Mon, 24 Jan 2011 10:29:34 +0100
[Message part 1 (text/plain, inline)]
Hello,
I'm packaging LeoCAD for Debian, and I'm encountering a couple of issues.
First of all, it would be nice if you could provide a .tar.gz along with SVN
tags :) -- I can package tag snapshots, but it would be easier for me if you
released a tarball, I could keep the package up-to-date more easily.

Here are the issues:
 - first of all, the package fails to build. It seems like there are some
   incongruencies in the code:

In file included from linux/dlgpiece.cpp:24:0:
common/minifig.h:29:1: warning: ‘typedef’ was ignored in this declaration
linux/dlgpiece.cpp: In function ‘void minifigdlg_color_response(GtkWidget*, void*)’:
linux/dlgpiece.cpp:67:17: error: ‘class MinifigWizard’ has no member named ‘ChangeColor’
linux/dlgpiece.cpp: In function ‘void minifigdlg_piece_changed(GtkWidget*, void*)’:
linux/dlgpiece.cpp:115:3: error: ‘LC_MFW_PIECEINFO’ was not declared in this scope
linux/dlgpiece.cpp:115:21: error: ‘pieceinfo’ was not declared in this scope
linux/dlgpiece.cpp:122:23: error: ‘l’ was not declared in this scope
linux/dlgpiece.cpp:122:45: error: expected primary-expression before ‘)’ token
linux/dlgpiece.cpp:122:46: error: expected ‘;’ before ‘list’
linux/dlgpiece.cpp:132:17: error: ‘class MinifigWizard’ has no member named ‘ChangePiece’
linux/dlgpiece.cpp: In function ‘void minifigdlg_updateselection(LC_MINIFIGDLG_STRUCT*)’:
linux/dlgpiece.cpp:156:14: error: ‘class MinifigWizard’ has no member named ‘GetSelections’
linux/dlgpiece.cpp: In function ‘void adj_changed(GtkAdjustment*, void*)’:
linux/dlgpiece.cpp:236:17: error: ‘class MinifigWizard’ has no member named ‘ChangeAngle’
linux/dlgpiece.cpp: In function ‘int minifigdlg_execute(void*)’:
linux/dlgpiece.cpp:408:5: error: ‘LC_MFW_PIECEINFO’ was not declared in this scope
linux/dlgpiece.cpp:408:24: error: ‘list’ was not declared in this scope
linux/dlgpiece.cpp:409:15: error: ‘class MinifigWizard’ has no member named ‘GetItems’
make: *** [linux/dlgpiece.o] Error 1

    It seems like the linux code is not in sync with the "common" code.

 - secondly, I see that we need also the pieces library. However, this comes as
   a .zip with pre-compiled binaries. For inclusion in Debian, I need to have
   the sources for those, and make a package starting from sources. Are you
   able to provide that, or point me in the right direction?

Please keep the bug CCed in your replies.

Thank you,
David


-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Mon, 24 Jan 2011 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonardo Zide <leozide@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 24 Jan 2011 20:00:06 GMT) Full text and rfc822 format available.

Message #24 received at 553311@bugs.debian.org (full text, mbox):

From: Leonardo Zide <leozide@gmail.com>
To: dapal@debian.org
Cc: 553311@bugs.debian.org
Subject: Re: Issues with LeoCAD
Date: Mon, 24 Jan 2011 11:58:00 -0800
[Message part 1 (text/plain, inline)]
  Hi,

  Thank you for creating a Debian package, it would be great to tell people
that can install LeoCAD with apt-get. Let me know if you need any help or if
you want to keep your scripts/config files in the svn repository.

  You should use the 0.75.1 tag for compiling, don't use the head revision
as it's unstable. I've added a source .tgz to the Google project page if
that helps you.

  The pieces can be built with LeoCAD from the LDraw files (
http://www.ldraw.org/Downloads-req-getit-lid-98.html, or follow the download
link at LDraw.org). There's no need to build them from source as the
binaries are the same for all platforms (little/big endian, 32/64 bits) and
they can be redistributed freely in other formats.



On Mon, Jan 24, 2011 at 1:29 AM, David Paleino <dapal@debian.org> wrote:

> Hello,
> I'm packaging LeoCAD for Debian, and I'm encountering a couple of issues.
> First of all, it would be nice if you could provide a .tar.gz along with
> SVN
> tags :) -- I can package tag snapshots, but it would be easier for me if
> you
> released a tarball, I could keep the package up-to-date more easily.
>
> Here are the issues:
>  - first of all, the package fails to build. It seems like there are some
>   incongruencies in the code:
>
> In file included from linux/dlgpiece.cpp:24:0:
> common/minifig.h:29:1: warning: ‘typedef’ was ignored in this declaration
> linux/dlgpiece.cpp: In function ‘void minifigdlg_color_response(GtkWidget*,
> void*)’:
> linux/dlgpiece.cpp:67:17: error: ‘class MinifigWizard’ has no member named
> ‘ChangeColor’
> linux/dlgpiece.cpp: In function ‘void minifigdlg_piece_changed(GtkWidget*,
> void*)’:
> linux/dlgpiece.cpp:115:3: error: ‘LC_MFW_PIECEINFO’ was not declared in
> this scope
> linux/dlgpiece.cpp:115:21: error: ‘pieceinfo’ was not declared in this
> scope
> linux/dlgpiece.cpp:122:23: error: ‘l’ was not declared in this scope
> linux/dlgpiece.cpp:122:45: error: expected primary-expression before ‘)’
> token
> linux/dlgpiece.cpp:122:46: error: expected ‘;’ before ‘list’
> linux/dlgpiece.cpp:132:17: error: ‘class MinifigWizard’ has no member named
> ‘ChangePiece’
> linux/dlgpiece.cpp: In function ‘void
> minifigdlg_updateselection(LC_MINIFIGDLG_STRUCT*)’:
> linux/dlgpiece.cpp:156:14: error: ‘class MinifigWizard’ has no member named
> ‘GetSelections’
> linux/dlgpiece.cpp: In function ‘void adj_changed(GtkAdjustment*, void*)’:
> linux/dlgpiece.cpp:236:17: error: ‘class MinifigWizard’ has no member named
> ‘ChangeAngle’
> linux/dlgpiece.cpp: In function ‘int minifigdlg_execute(void*)’:
> linux/dlgpiece.cpp:408:5: error: ‘LC_MFW_PIECEINFO’ was not declared in
> this scope
> linux/dlgpiece.cpp:408:24: error: ‘list’ was not declared in this scope
> linux/dlgpiece.cpp:409:15: error: ‘class MinifigWizard’ has no member named
> ‘GetItems’
> make: *** [linux/dlgpiece.o] Error 1
>
>    It seems like the linux code is not in sync with the "common" code.
>
>  - secondly, I see that we need also the pieces library. However, this
> comes as
>   a .zip with pre-compiled binaries. For inclusion in Debian, I need to
> have
>   the sources for those, and make a package starting from sources. Are you
>   able to provide that, or point me in the right direction?
>
> Please keep the bug CCed in your replies.
>
> Thank you,
> David
>
>
> --
>  . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
>  : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
>  `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
>   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Mon, 24 Jan 2011 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 24 Jan 2011 20:39:03 GMT) Full text and rfc822 format available.

Message #29 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Leonardo Zide <leozide@gmail.com>
Cc: 553311@bugs.debian.org
Subject: Re: Bug#553311: Issues with LeoCAD
Date: Mon, 24 Jan 2011 21:35:38 +0100
[Message part 1 (text/plain, inline)]
On Mon, 24 Jan 2011 11:58:00 -0800, Leonardo Zide wrote:

>   Hi,

Hello,

>   Thank you for creating a Debian package, it would be great to tell people
> that can install LeoCAD with apt-get. Let me know if you need any help or if
> you want to keep your scripts/config files in the svn repository.
> 
>   You should use the 0.75.1 tag for compiling, don't use the head revision
> as it's unstable. I've added a source .tgz to the Google project page if
> that helps you.

Ok, nice, thanks :)
It would be better if you didn't tag the head revision ;)

>   The pieces can be built with LeoCAD from the LDraw files (
> http://www.ldraw.org/Downloads-req-getit-lid-98.html, or follow the download
> link at LDraw.org). There's no need to build them from source as the
> binaries are the same for all platforms (little/big endian, 32/64 bits) and
> they can be redistributed freely in other formats.

That's not the issue :)
The point is to comply with the Debian Free Software Guidelines: we have to
keep the source in Debian, and build everything from source. No precompiled
binaries, even if they're freely redistributable :)

I'll check if the pieces library license is acceptable; and whether it is
buildable with free tools. I'll report back if any new issue arises.

Thank you for your collaboration :)
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Mon, 24 Jan 2011 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonardo Zide <leozide@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 24 Jan 2011 20:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 553311@bugs.debian.org (full text, mbox):

From: Leonardo Zide <leozide@gmail.com>
To: dapal@debian.org
Cc: 553311@bugs.debian.org
Subject: Re: Bug#553311: Issues with LeoCAD
Date: Mon, 24 Jan 2011 12:46:11 -0800
[Message part 1 (text/plain, inline)]
  The svn repository is a little messy, I was working from the wrong place
and ended up checking in things that were still work in progress. I've
gotten a lot of complaints about it.

  The library is built with LeoCAD itself only.


On Mon, Jan 24, 2011 at 12:35 PM, David Paleino <dapal@debian.org> wrote:

> On Mon, 24 Jan 2011 11:58:00 -0800, Leonardo Zide wrote:
>
> >   Hi,
>
> Hello,
>
> >   Thank you for creating a Debian package, it would be great to tell
> people
> > that can install LeoCAD with apt-get. Let me know if you need any help or
> if
> > you want to keep your scripts/config files in the svn repository.
> >
> >   You should use the 0.75.1 tag for compiling, don't use the head
> revision
> > as it's unstable. I've added a source .tgz to the Google project page if
> > that helps you.
>
> Ok, nice, thanks :)
> It would be better if you didn't tag the head revision ;)
>
> >   The pieces can be built with LeoCAD from the LDraw files (
> > http://www.ldraw.org/Downloads-req-getit-lid-98.html, or follow the
> download
> > link at LDraw.org). There's no need to build them from source as the
> > binaries are the same for all platforms (little/big endian, 32/64 bits)
> and
> > they can be redistributed freely in other formats.
>
> That's not the issue :)
> The point is to comply with the Debian Free Software Guidelines: we have to
> keep the source in Debian, and build everything from source. No precompiled
> binaries, even if they're freely redistributable :)
>
> I'll check if the pieces library license is acceptable; and whether it is
> buildable with free tools. I'll report back if any new issue arises.
>
> Thank you for your collaboration :)
> David
>
> --
>  . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
>  : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
>  `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
>   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Sun, 17 Jul 2011 12:17:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to markhobley@yahoo.co.uk:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sun, 17 Jul 2011 12:17:43 GMT) Full text and rfc822 format available.

Message #39 received at 553311@bugs.debian.org (full text, mbox):

From: Mark Hobley <markhobley@yahoo.co.uk>
To: 553311@bugs.debian.org
Subject: Re: Bug#553311: Issues with LeoCAD
Date: Sun, 17 Jul 2011 13:14:44 +0100 (BST)
Is there any news on the pieces library? Does it look like this will be a runner? It would be great to see leocad in Debian.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Sat, 18 Feb 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 18 Feb 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #44 received at 553311@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: dapal@debian.org
Cc: 553311@bugs.debian.org, david@boddie.org.uk
Subject: python-ldraw
Date: Sat, 18 Feb 2012 17:30:21 +0100
Hi David,
maybe David Boddie could help you; see:
* https://alioth.debian.org/projects/python-ldraw/
* http://python-ldraw.alioth.debian.org/

Ciao!

Carlo

-- 
 .'  `.   | Registered Linux User #443882
 |a_a  |  | http://counter.li.org/                      .''`.
 \<_)__/  +---                                         : :'  :
 /(   )\                                          ---+ `. `'`
|\`>  <  /\                  Registered Debian User #9 |   `-
\_|=='|_/       http://debiancounter.altervista.org/ |





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Tue, 21 Feb 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Boddie <david@boddie.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Tue, 21 Feb 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #49 received at 553311@bugs.debian.org (full text, mbox):

From: David Boddie <david@boddie.org.uk>
To: Carlo Stemberger <carlo.stemberger@gmail.com>
Cc: dapal@debian.org, 553311@bugs.debian.org
Subject: Re: python-ldraw
Date: Wed, 22 Feb 2012 00:23:56 +0100
On Saturday 18 February 2012, Carlo Stemberger wrote:
> Hi David,
> maybe David Boddie could help you; see:
> * https://alioth.debian.org/projects/python-ldraw/
> * http://python-ldraw.alioth.debian.org/

If I remember correctly, the .dat files in the LDraw parts library are
basically text files, so they are the sources, but I could be mistaken.
Does this help to clarify the matter, or are we discussing other files
as well?

Regards,

David (Boddie)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Wed, 22 Feb 2012 08:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Wed, 22 Feb 2012 08:09:10 GMT) Full text and rfc822 format available.

Message #54 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 553311@bugs.debian.org
Cc: Carlo Stemberger <carlo.stemberger@gmail.com>, David Boddie <david@boddie.org.uk>
Subject: Re: Bug#553311: python-ldraw
Date: Wed, 22 Feb 2012 09:06:42 +0100
2012/2/22 David Boddie <david@boddie.org.uk>:
> On Saturday 18 February 2012, Carlo Stemberger wrote:
>> Hi David,
>> maybe David Boddie could help you; see:
>> * https://alioth.debian.org/projects/python-ldraw/
>> * http://python-ldraw.alioth.debian.org/
>
> If I remember correctly, the .dat files in the LDraw parts library are
> basically text files, so they are the sources, but I could be mistaken.
> Does this help to clarify the matter, or are we discussing other files
> as well?

I don't really remember the issue with the pieces library, but "being text
files" doesn't automatically equal to "being the source code". I need the
"preferred form of modification", and I need to be able to build it.

I hope to have a look again at leocad during the weekend.

Kindly,
David

-- 
 . ''`.  Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Fri, 24 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Boddie <david@boddie.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Fri, 24 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Message #59 received at 553311@bugs.debian.org (full text, mbox):

From: David Boddie <david@boddie.org.uk>
To: dapal@debian.org
Cc: 553311@bugs.debian.org, Carlo Stemberger <carlo.stemberger@gmail.com>
Subject: Re: Bug#553311: python-ldraw
Date: Sat, 25 Feb 2012 00:14:38 +0100
On Wednesday 22 February 2012, David Paleino wrote:
> 2012/2/22 David Boddie <david@boddie.org.uk>:
> >
> > If I remember correctly, the .dat files in the LDraw parts library are
> > basically text files, so they are the sources, but I could be mistaken.
> > Does this help to clarify the matter, or are we discussing other files
> > as well?
>
> I don't really remember the issue with the pieces library, but "being text
> files" doesn't automatically equal to "being the source code". I need the
> "preferred form of modification", and I need to be able to build it.

OK. Well, I didn't know what the context was when I was unexpectedly copied
into this discussion, and it's been quite a while since I've looked at
LDraw.

My understanding is that the .dat files are the preferred form of
modification even though the maintainers may use tools that save and load
files in other formats. I don't know anything about the library maintenance
process to be able to say if the .dat files are generated from something
else.

Checking now, it seems that the parts library described at

  http://www.ldraw.org/Downloads-req-viewdownloaddetails-lid-98.html

is not redistributable because it contains non-redistributable parts.
Issues with the parts library include:

 1. Licenses:
   a. Creative Commons Attribution 2.0. I don't know how this fits into any
      of the Debian policies.
   b. All rights reserved. It seems that you would have to ask the
      copyright holders of those parts to choose a license, or just avoid
      distributing those parts.
 2. Binaries in the archive.
   a. A Windows executable file.
   b. Three ZIP files containing source code, with some files licensed
      under the GPL v2 or later, and other files with no licenses.
 3. No build system for the platform-independent tool required to create the
    parts list.

It should be straightforward to find all the CC parts, simply by using grep
to find the ones with the appropriate !LICENSE statement.

Hope this helps,

David




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#553311; Package wnpp. (Sat, 10 Mar 2012 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <dapal@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 10 Mar 2012 09:09:11 GMT) Full text and rfc822 format available.

Message #64 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 553311@bugs.debian.org
Cc: David Boddie <david@boddie.org.uk>, Carlo Stemberger <carlo.stemberger@gmail.com>, Mark Hobley <markhobley@yahoo.co.uk>
Subject: Re: Bug#553311: python-ldraw
Date: Sat, 10 Mar 2012 10:06:32 +0100
[Message part 1 (text/plain, inline)]
Hello,
(sorry for the _late_ reply)

On Sat, 25 Feb 2012 00:14:38 +0100, David Boddie wrote:

> My understanding is that the .dat files are the preferred form of
> modification even though the maintainers may use tools that save and load
> files in other formats. I don't know anything about the library maintenance
> process to be able to say if the .dat files are generated from something
> else.

Exactly, that would be the main issue.

I just looked at those .dat files and -- even though they're text-only files --
I can't imagine a human typing something like this (from 4490.dat):

/---
| 0 BFC INVERTNEXT
| 1 16 20 24 0 6 0 0 0 -20 0 0 0 6 box5.dat
| 0 BFC INVERTNEXT
| 1 16 -20 24 0 6 0 0 0 -20 0 0 0 6 box5.dat
| 4 16 30 24 10 26 24 6 14 24 6 10 24 10
| 4 16 10 24 10 14 24 6 14 24 -6 10 24 -10
| 4 16 10 24 -10 14 24 -6 26 24 -6 30 24 -10
| 4 16 30 24 -10 26 24 -6 26 24 6 30 24 10
| 4 16 -10 24 10 -14 24 6 -26 24 6 -30 24 10
| 4 16 -30 24 10 -26 24 6 -26 24 -6 -30 24 -10
| 4 16 -30 24 -10 -26 24 -6 -14 24 -6 -10 24 -10
| 4 16 -10 24 -10 -14 24 -6 -14 24 6 -10 24 10
| ...
\---

They can really be the source only if, for example, there's some GUI (or
any other suitable) program able to load/save them, by which one can create a
new ldraw-part from scratch.

> Checking now, it seems that the parts library described at
> 
>   http://www.ldraw.org/Downloads-req-viewdownloaddetails-lid-98.html
> 
> is not redistributable because it contains non-redistributable parts.

This is not a problem: the non-redistributable parts can be stripped from the
"original tarball", which can then be used (and distributed) by Debian.

> Issues with the parts library include:
> 
>  1. Licenses:
>    a. Creative Commons Attribution 2.0. I don't know how this fits into any
>       of the Debian policies.

It seems like an attribution-only license, seems fine to me.

>    b. All rights reserved. It seems that you would have to ask the
>       copyright holders of those parts to choose a license, or just avoid
>       distributing those parts.

..exactly. Just strip them off the tarball.

>  2. Binaries in the archive.
>    a. A Windows executable file.
>    b. Three ZIP files containing source code, with some files licensed
>       under the GPL v2 or later, and other files with no licenses.

The .exe can be removed too. The only remaining problem is the no-license files.

>  3. No build system for the platform-independent tool required to create the
>     parts list.

This _can_ be a problem, but not necessarily. It depends whether the
buildsystem is available into Debian, and if I (or anyone else) is able to
successfully compile them. If the answer to both questions is "yes", we don't
really need an upstream-provided buildsystem.


So, here's the current status. LeoCAD now builds fine, so the only missing
bit is the pieces library. I/we need to find out what the real source is (if
it's not the .dat files), how to compile it, and what leocad expects it to be
(location, format, structure, [..]).

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Sat, 10 Mar 2012 18:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Boddie <david@boddie.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 10 Mar 2012 18:00:07 GMT) Full text and rfc822 format available.

Message #69 received at 553311@bugs.debian.org (full text, mbox):

From: David Boddie <david@boddie.org.uk>
To: David Paleino <dapal@debian.org>
Cc: 553311@bugs.debian.org, Carlo Stemberger <carlo.stemberger@gmail.com>, Mark Hobley <markhobley@yahoo.co.uk>
Subject: Re: Bug#553311: python-ldraw
Date: Sat, 10 Mar 2012 18:58:46 +0100
On Saturday 10 March 2012, David Paleino wrote:

> I just looked at those .dat files and -- even though they're text-only
> files -- I can't imagine a human typing something like this (from
> 4490.dat):
>
> /---
>
> | 0 BFC INVERTNEXT
> | 1 16 20 24 0 6 0 0 0 -20 0 0 0 6 box5.dat
> | 0 BFC INVERTNEXT
> | 1 16 -20 24 0 6 0 0 0 -20 0 0 0 6 box5.dat
> | 4 16 30 24 10 26 24 6 14 24 6 10 24 10

[...]

> They can really be the source only if, for example, there's some GUI (or
> any other suitable) program able to load/save them, by which one can create
> a new ldraw-part from scratch.

I think there are tools to do this, but I'm not sure if any of them run on
Debian systems. Part authoring is not an activity I'm familiar with.

> > Checking now, it seems that the parts library described at
> >
> >   http://www.ldraw.org/Downloads-req-viewdownloaddetails-lid-98.html
> >
> > is not redistributable because it contains non-redistributable parts.
>
> This is not a problem: the non-redistributable parts can be stripped from
> the "original tarball", which can then be used (and distributed) by Debian.

I see LeoCAD itself has its own parts library, mentioned here:

  http://leocad.org/trac/wiki/Legal

Whether or not it's preferable to use that library is not something I can
help with, unfortunately. It might make it slightly easier to repackage if
it does not contain non-redistributable parts to start with, but the file
format question remains.

[...]

> So, here's the current status. LeoCAD now builds fine, so the only missing
> bit is the pieces library. I/we need to find out what the real source is
> (if it's not the .dat files), how to compile it, and what leocad expects it
> to be (location, format, structure, [..]).

My impression is that the LDraw format used in .dat files is the common
currency, if not the nicest format to edit, and that at least some part
authors actually write it by hand. All the parts in the official parts
database (http://www.ldraw.org/cgi-bin/ptlist.cgi) are in that format, as
far as I can tell. Where you would go to find those files in another format
is unclear.

I presume that part authors who don't actually write parts by hand use many
different tools to create them before submitting them to the database as
.dat files. There's a short discussion about that in a thread in a forum:

  http://forums.ldraw.org/read.php?19,134,205#msg-205

I think it may be useful to think about the parts library in a similar way
to various fonts that are shipped by Debian. For example, the source for
the ttf-bitstream-vera package contains only .ttf files, whereas those for
the ttf-dejavu package contains FontForge .sfd files. Clearly, we could have
a similar discussion about those .ttf files, so it would be interesting to
know how that issue was resolved for that package, and others like it.

Regards,

David




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Sat, 10 Mar 2012 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 10 Mar 2012 18:51:03 GMT) Full text and rfc822 format available.

Message #74 received at 553311@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: parts@ldraw.org
Cc: David Boddie <david@boddie.org.uk>, David Paleino <dapal@debian.org>, 553311@bugs.debian.org, Mark Hobley <markhobley@yahoo.co.uk>
Subject: Re: Bug#553311: python-ldraw
Date: Sat, 10 Mar 2012 19:46:27 +0100
Hello,
the LeoCAD packaging for Debian is currently blocked by an issue 
concerning LDraw.

Could you look at this[1] discussion, please?

Thank you!

Carlo


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=553311#64

-- 
 .'  `.   | Registered Linux User #443882
 |a_a  |  | http://counter.li.org/                      .''`.
 \<_)__/  +---                                         : :'  :
 /(   )\                                          ---+ `. `'`
|\`>  <  /\                  Registered Debian User #9 |   `-
\_|=='|_/       http://debiancounter.altervista.org/ |





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Sat, 10 Mar 2012 18:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 10 Mar 2012 18:57:10 GMT) Full text and rfc822 format available.

Message #79 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 553311@bugs.debian.org
Cc: David Boddie <david@boddie.org.uk>, Carlo Stemberger <carlo.stemberger@gmail.com>, Mark Hobley <markhobley@yahoo.co.uk>
Subject: Re: Bug#553311: python-ldraw
Date: Sat, 10 Mar 2012 19:56:11 +0100
[Message part 1 (text/plain, inline)]
On Sat, 10 Mar 2012 18:58:46 +0100, David Boddie wrote:

> On Saturday 10 March 2012, David Paleino wrote:
> 
> [..]
> 
> > > Checking now, it seems that the parts library described at
> > >
> > >   http://www.ldraw.org/Downloads-req-viewdownloaddetails-lid-98.html
> > >
> > > is not redistributable because it contains non-redistributable parts.
> >
> > This is not a problem: the non-redistributable parts can be stripped from
> > the "original tarball", which can then be used (and distributed) by Debian.
> 
> I see LeoCAD itself has its own parts library, mentioned here:
> 
>   http://leocad.org/trac/wiki/Legal
> 
> Whether or not it's preferable to use that library is not something I can
> help with, unfortunately. It might make it slightly easier to repackage if
> it does not contain non-redistributable parts to start with, but the file
> format question remains.

Well, I downloaded leocad's parts library, and.. they're precompiled binary
files:

$ ls /tmp/pieces-5243/
pieces.bin    pieces.idx    sysfont.txf   textures.bin  textures.idx

I'd expect these were compiled from some .dat (and possibly other files?).
We need to find out how :)

> [...]
> 
> > So, here's the current status. LeoCAD now builds fine, so the only missing
> > bit is the pieces library. I/we need to find out what the real source is
> > (if it's not the .dat files), how to compile it, and what leocad expects it
> > to be (location, format, structure, [..]).
> 
> My impression is that the LDraw format used in .dat files is the common
> currency, if not the nicest format to edit, and that at least some part
> authors actually write it by hand. All the parts in the official parts
> database (http://www.ldraw.org/cgi-bin/ptlist.cgi) are in that format, as
> far as I can tell. Where you would go to find those files in another format
> is unclear.
>
> I presume that part authors who don't actually write parts by hand use many
> different tools to create them before submitting them to the database as
> .dat files.

Here's another point: to be an acceptable form of "source", we'd need some
software in Debian (main) capable of creating/manipulating those .dat files.
Expanding the comparison to fonts, we have "fontforge" which nicely behaves
with .ttf (not sure about .sfd). So, even if they're binary files, they are
actually the source.

I hope the situation's a bit clearer now :)
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Sat, 10 Mar 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Boddie <david@boddie.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Sat, 10 Mar 2012 21:45:04 GMT) Full text and rfc822 format available.

Message #84 received at 553311@bugs.debian.org (full text, mbox):

From: David Boddie <david@boddie.org.uk>
To: dapal@debian.org
Cc: 553311@bugs.debian.org, Carlo Stemberger <carlo.stemberger@gmail.com>, Mark Hobley <markhobley@yahoo.co.uk>
Subject: Re: Bug#553311: python-ldraw
Date: Sat, 10 Mar 2012 22:44:02 +0100
On Saturday 10 March 2012, David Paleino wrote:

> Well, I downloaded leocad's parts library, and.. they're precompiled binary
> files:
>
> $ ls /tmp/pieces-5243/
> pieces.bin    pieces.idx    sysfont.txf   textures.bin  textures.idx
>
> I'd expect these were compiled from some .dat (and possibly other files?).
> We need to find out how :)

OK, that's a question for the LeoCAD developers, I think. It looks like a
collection of database files, but a quick search of the site indicates that
the tools/convert directory may contain code to generate these files from
the original LDraw parts library.

> Here's another point: to be an acceptable form of "source", we'd need some
> software in Debian (main) capable of creating/manipulating those .dat
> files. Expanding the comparison to fonts, we have "fontforge" which nicely
> behaves with .ttf (not sure about .sfd). So, even if they're binary files,
> they are actually the source.

Right. This is what I suspect is the case with the original LDraw parts.

> I hope the situation's a bit clearer now :)

Yes, thanks. :-)

David




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Fri, 30 Mar 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonardo Zide <leozide@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Fri, 30 Mar 2012 16:30:03 GMT) Full text and rfc822 format available.

Message #89 received at 553311@bugs.debian.org (full text, mbox):

From: Leonardo Zide <leozide@gmail.com>
To: Carlo Stemberger <carlo.stemberger@gmail.com>
Cc: leocad@list.gerf.org, 553311@bugs.debian.org
Subject: Re: Debian packaging
Date: Fri, 30 Mar 2012 09:27:28 -0700
[Message part 1 (text/plain, inline)]
  The LeoCAD pieces library is compiled from the LDraw library but
optimized for faster rendering. It's currently built using the LeoCAD GUI
(File->Pieces Library Manager->Import Folder) but I can add a command line
option or separate utility that can generate it from the command line if
you really need it.

  Also, please use one of the svn tags or the source tgz file for building,
the svn trunk isn't always the best option.



On Fri, Mar 30, 2012 at 4:43 AM, Carlo Stemberger <
carlo.stemberger@gmail.com> wrote:

> Hello,
> the LeoCAD packaging for Debian is currently blocked by some issues.
>
> Could you look at this[1] discussion, please?
>
> Thank you!
>
> Carlo
>
>
> [1] http://bugs.debian.org/cgi-**bin/bugreport.cgi?bug=553311#**79<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=553311#79>
>
> --
>  .'  `.   | Registered Linux User #443882
>  |a_a  |  | http://counter.li.org/                      .''`.
>  \<_)__/  +---                                         : :'  :
>  /(   )\                                          ---+ `. `'`
> |\`>  <  /\                  Registered Debian User #9 |   `-
> \_|=='|_/       http://debiancounter.**altervista.org/<http://debiancounter.altervista.org/>|
>
> ______________________________**_________________
> Leocad mailing list
> Leocad@list.gerf.org
> https://list.gerf.org/**listinfo/leocad<https://list.gerf.org/listinfo/leocad>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Fri, 30 Mar 2012 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Fri, 30 Mar 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #94 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: Leonardo Zide <leozide@gmail.com>, 553311@bugs.debian.org
Cc: Carlo Stemberger <carlo.stemberger@gmail.com>, leocad@list.gerf.org
Subject: Re: Bug#553311: Debian packaging
Date: Fri, 30 Mar 2012 18:44:32 +0200
Hello,

2012/3/30 Leonardo Zide <leozide@gmail.com>:
>
> The LeoCAD pieces library is compiled from the LDraw library but optimized
> for faster rendering. It's currently built using the LeoCAD GUI
> (File->Pieces Library Manager->Import Folder) but I can add a command line
> option or separate utility that can generate it from the command line if you
> really need it.

Yes, please. A separate utility would be best. Consider that the build
would need to be scriptable.

> Also, please use one of the svn tags or the source tgz file for building,
> the svn trunk isn't always the best option.

Ok, do you have suggestions? :)

Kindly,
David




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Mon, 02 Apr 2012 23:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonardo Zide <leozide@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 02 Apr 2012 23:33:06 GMT) Full text and rfc822 format available.

Message #99 received at 553311@bugs.debian.org (full text, mbox):

From: Leonardo Zide <leozide@gmail.com>
To: David Paleino <d.paleino@gmail.com>
Cc: 553311@bugs.debian.org, Carlo Stemberger <carlo.stemberger@gmail.com>, leocad@list.gerf.org
Subject: Re: Bug#553311: Debian packaging
Date: Mon, 2 Apr 2012 16:29:21 -0700
[Message part 1 (text/plain, inline)]
>
> Yes, please. A separate utility would be best. Consider that the build
> would need to be scriptable.
>

  I'm working on adding a command line option to build the library so
you'll be able to call it from a script.


> > Also, please use one of the svn tags or the source tgz file for building,
> > the svn trunk isn't always the best option.
>
> Ok, do you have suggestions? :)
>

  Currently the latest version is /tags/leocad-0.76 in svn, which matches
the source file on the website leocad-0.76-src.tgz.

Leonardo
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Mon, 09 Apr 2012 22:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leonardo Zide <leozide@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Mon, 09 Apr 2012 22:09:09 GMT) Full text and rfc822 format available.

Message #104 received at 553311@bugs.debian.org (full text, mbox):

From: Leonardo Zide <leozide@gmail.com>
To: David Paleino <d.paleino@gmail.com>
Cc: 553311@bugs.debian.org, Carlo Stemberger <carlo.stemberger@gmail.com>, leocad@list.gerf.org
Subject: Re: Bug#553311: Debian packaging
Date: Mon, 9 Apr 2012 15:03:57 -0700
[Message part 1 (text/plain, inline)]
On Fri, Mar 30, 2012 at 9:44 AM, David Paleino <d.paleino@gmail.com> wrote:

> > The LeoCAD pieces library is compiled from the LDraw library but
> optimized
> > for faster rendering. It's currently built using the LeoCAD GUI
> > (File->Pieces Library Manager->Import Folder) but I can add a command
> line
> > option or separate utility that can generate it from the command line if
> you
> > really need it.
>
> Yes, please. A separate utility would be best. Consider that the build
> would need to be scriptable.
>

  I've added a new command line option to convert LDraw files, if you run
something like "leocad --convert /home/david/ldraw/parts/
/home/david/leocad/" it will convert all LDraw parts from the first
directory and save a new LeoCAD library in the second directory.

  You can get the source from either svn
http://svn.leocad.org/tags/leocad-0.76.2/ or leocad-0.76.2-src.tgz from
http://code.google.com/p/leocad

  Let me know if you run into any problems.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Fri, 14 Dec 2012 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Fri, 14 Dec 2012 02:39:03 GMT) Full text and rfc822 format available.

Message #109 received at 553311@bugs.debian.org (full text, mbox):

From: Carlo Stemberger <carlo.stemberger@gmail.com>
To: 553311@bugs.debian.org
Subject: Fwd: New LeoCAD version
Date: Fri, 14 Dec 2012 03:35:17 +0100
[Message part 1 (text/plain, inline)]
Hi,
here is the announcement.

Regards,
Carlo

-------- Messaggio originale --------
Oggetto: 	New LeoCAD version
Data: 	Thu, 13 Dec 2012 15:33:27 -0800
Mittente: 	Leonardo Zide <leozide@gmail.com>
A: 	leocad mailinglist <leocad@list.gerf.org>




  I've uploaded a new version to the website, you can download it from 
http://leocad.org/files/.

  The biggest change is in the pieces library, it uses a new format and 
can optionally use the LDraw library directly. This will fix some 
rendering bugs that were noticeable on stickers, colored patterns and 
pieces with detailed geometry and also adds support to Joshua's texture 
mapping extension.

Version 0.79 (13/12/2012)
 * Switched to a new library file format.
 * Added support for texture mapped pieces.
 * Added support for using the LDraw library directly.
 * Load color config from ldconfig.ldr where the library is located.
 * Save view layout between sessions.
 * Allow the pieces search text box to auto-complete when entering 
piece numbers.
 * Fixed errors on big endian computers.
 * Zoom extents after loading a file.

[Parte allegato al messaggio (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, David Paleino <dapal@debian.org>:
Bug#553311; Package wnpp. (Fri, 14 Dec 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, David Paleino <dapal@debian.org>. (Fri, 14 Dec 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #114 received at 553311@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Carlo Stemberger <carlo.stemberger@gmail.com>
Cc: 553311@bugs.debian.org
Subject: Re: Bug#553311: Fwd: New LeoCAD version
Date: Fri, 14 Dec 2012 22:40:48 +0100
[Message part 1 (text/plain, inline)]
On Fri, 14 Dec 2012 03:35:17 +0100, Carlo Stemberger wrote:

> Hi,
> here is the announcement.

Thanks for the ping.

The actual source is building fine; I've been struggling understanding how to
build the pieces library over the last few months. Yet I don't know how to
build it. :/

David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:05 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <dapal@debian.org>:
You have taken responsibility. (Sat, 16 Feb 2013 13:03:05 GMT) Full text and rfc822 format available.

Notification sent to Carlo Stemberger <carlo.stemberger@gmail.com>:
Bug acknowledged by developer. (Sat, 16 Feb 2013 13:03:05 GMT) Full text and rfc822 format available.

Message #121 received at 553311-close@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 553311-close@bugs.debian.org
Subject: Bug#553311: fixed in leocad 0.79-1
Date: Sat, 16 Feb 2013 13:00:06 +0000
Source: leocad
Source-Version: 0.79-1

We believe that the bug you reported is fixed in the latest version of
leocad, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553311@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Paleino <dapal@debian.org> (supplier of updated leocad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 15 Dec 2012 22:13:08 +0100
Source: leocad
Binary: leocad
Architecture: source i386
Version: 0.79-1
Distribution: experimental
Urgency: low
Maintainer: David Paleino <dapal@debian.org>
Changed-By: David Paleino <dapal@debian.org>
Description: 
 leocad     - virtual brick CAD software
Closes: 553311
Changes: 
 leocad (0.79-1) experimental; urgency=low
 .
   * Initial release (Closes: #553311)
Checksums-Sha1: 
 1d02affff4775c7b922c1d47abd4cb5b4a35d1e4 1244 leocad_0.79-1.dsc
 e26113c9e837743c2aa79432fd95c86b82c4e3e8 536547 leocad_0.79.orig.tar.bz2
 34ba5652c54e87dd987f74cad074be6e73b18e2b 2584 leocad_0.79-1.debian.tar.gz
 2c02da0fd43885defa585700acc31c8a9dd350d6 285572 leocad_0.79-1_i386.deb
Checksums-Sha256: 
 4d254dc2bc37a7859d9ce287f95303e470abc9610bef17c07adebd16725f916c 1244 leocad_0.79-1.dsc
 4fca08f49f16967fc3ea1c343b2db5dd860bc0148296dbdaad87c0a3b1dddae8 536547 leocad_0.79.orig.tar.bz2
 ad9b831571c598fb69375e9dba80d28775a12f82177ecf85aca46cff9104b595 2584 leocad_0.79-1.debian.tar.gz
 7ab77d87c889054491777426a803982f8805dc9eb3ddbe58dbc59899647a7df8 285572 leocad_0.79-1_i386.deb
Files: 
 bed528e2037dd9852345b95432fefac0 1244 utils extra leocad_0.79-1.dsc
 d2b0955a5f491f3478016a5a1f330ad3 536547 utils extra leocad_0.79.orig.tar.bz2
 eebb2c4e4b30403608e2d41f2e77a22a 2584 utils extra leocad_0.79-1.debian.tar.gz
 64035e33b4faf213d01aaf50fe0a31ab 285572 utils extra leocad_0.79-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDM6jwACgkQ5qqQFxOSsXSt9wCfRxNBiCUg1hFXVTWcKSfo78Sr
zNwAnAiqhPPXHGzP0pAWg/PaorR2YyVA
=FUXZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Mar 2013 07:25:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:54:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.